|  | reflex::AbstractMatcher::Operation Class Reference updated Fri Dec 9 2016 |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
reflex::AbstractMatcher::Operation Class Reference

AbstractMatcher::Operation functor to match input to a pattern, also provides a (const) AbstractMatcher::iterator to iterate over matches. More...

`#include <absmatcher.h>`

Collaboration diagram for reflex::AbstractMatcher::Operation:
[legend]

## Public Member Functions
size_t | operator() (void) const
| AbstractMatcher::Operation() matches input to a pattern using method Const::SCAN, Const::FIND, or Const::SPLIT. More...
iterator | begin (void) const
| AbstractMatcher::Operation.begin() returns a std::input_iterator to the start of the matches. More...
iterator | end (void) const
| AbstractMatcher::Operation.end() returns a std::input_iterator to the end of matches. More...
const_iterator | cbegin (void) const
| AbstractMatcher::Operation.cbegin() returns a const std::input_iterator to the start of the matches. More...
const_iterator | cend (void) const
| AbstractMatcher::Operation.cend() returns a const std::input_iterator to the end of matches. More...

## Private Member Functions
| Operation (AbstractMatcher *matcher, Method method)
| Construct an AbstractMatcher::Operation functor to scan, search, or split an input character sequence. More...

## Private Attributes
AbstractMatcher * | matcher_
| the matcher used by this functor More...
Method | method_
| the method for pattern matching by this functor's matcher More...

## Friends
class | AbstractMatcher

## Detailed Description

AbstractMatcher::Operation functor to match input to a pattern, also provides a (const) AbstractMatcher::iterator to iterate over matches.

## Constructor & Destructor Documentation

reflex::AbstractMatcher::Operation::Operation | ( | AbstractMatcher * | matcher,
|  | Method | method
| ) |  |
| inline private

Construct an AbstractMatcher::Operation functor to scan, search, or split an input character sequence.

Parameters

  matcher | use this matcher for this functor
  method | match using method Const::SCAN, Const::FIND, or Const::SPLIT

## Member Function Documentation

iterator reflex::AbstractMatcher::Operation::begin | ( | void |  | ) | const
| inline

AbstractMatcher::Operation.begin() returns a std::input_iterator to the start of the matches.

Returns
  input iterator.

const_iterator reflex::AbstractMatcher::Operation::cbegin | ( | void |  | ) | const
| inline

AbstractMatcher::Operation.cbegin() returns a const std::input_iterator to the start of the matches.

Returns
  input const_iterator.

const_iterator reflex::AbstractMatcher::Operation::cend | ( | void |  | ) | const
| inline

AbstractMatcher::Operation.cend() returns a const std::input_iterator to the end of matches.

Returns
  input const_iterator.

iterator reflex::AbstractMatcher::Operation::end | ( | void |  | ) | const
| inline

AbstractMatcher::Operation.end() returns a std::input_iterator to the end of matches.

Returns
  input iterator.

size_t reflex::AbstractMatcher::Operation::operator() | ( | void |  | ) | const
| inline

AbstractMatcher::Operation() matches input to a pattern using method Const::SCAN, Const::FIND, or Const::SPLIT.

Returns
  true (match) or false

## Friends And Related Function Documentation

friend class AbstractMatcher
| friend

## Member Data Documentation

AbstractMatcher* reflex::AbstractMatcher::Operation::matcher_
| private

the matcher used by this functor

Method reflex::AbstractMatcher::Operation::method_
| private

the method for pattern matching by this functor's matcher

The documentation for this class was generated from the following file:

- absmatcher.h